# Uses of Class
org.apache.lucene.search.grouping.LongRange

- ## Uses of LongRange in org.apache.lucene.search.grouping

  Methods in org.apache.lucene.search.grouping that return LongRange
  Modifier and Type
  Method
  Description
  `LongRange`
  LongRangeGroupSelector.`copyValue()`
  `LongRange`
  LongRangeGroupSelector.`currentValue()`
  `LongRange`
  LongRangeFactory.`getRange(long value, LongRange reuse)`
  Finds the LongRange that a value should be grouped into
  Methods in org.apache.lucene.search.grouping with parameters of type LongRange
  Modifier and Type
  Method
  Description
  `LongRange`
  LongRangeFactory.`getRange(long value, LongRange reuse)`
  Finds the LongRange that a value should be grouped into
  Method parameters in org.apache.lucene.search.grouping with type arguments of type LongRange
  Modifier and Type
  Method
  Description
  `void`
  LongRangeGroupSelector.`setGroups(Collection<SearchGroup<LongRange>> searchGroups)`